{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('calendar') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('calendar') }}
    {{ encore_entry_script_tags('homepage') }}
{% endblock %}

{% block meta_description %}
    {% apply spaceless %}
        Nous organisons des entraînements réguliers, ainsi que des compétitions de courses d'orientation dans le Finistère sud, aux alentours de Quimper et Carhaix. Retrouvez toutes les informations sur notre site de Quimper Orientation, les actualités, les prochains événements, les résultats, ainsi que des parcours permanents, l'idéal pour vous entraîner sur nos cartes de course d'orientation.
    {% endapply %}
{% endblock %}

{% block title %}Quimper Orientation{% endblock %}

{% block content %}
    <div id="news" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
            {% for new in news %}
                <li data-target="#news" data-slide-to="{{ loop.index0 }}" class="{{ loop.index0 == 0 ? 'active' }}"></li>
            {% endfor %}
        </ol>
        <div class="carousel-inner bg-dark" role="list">
            {% for new in news %}
                {{ render(path('pi_crud_item', {
                    'id': new.id,
                    'type': 'news',
                    'format': 'row',
                    'class': (loop.index0 == 0) ? 'active' : '',
                })) }}
            {% endfor %}
        </div>
        {% if news|length > 1 %}
            <a rel="nofollow" class="carousel-control-prev d-none d-md-flex" href="#news" role="button" data-slide="prev" aria-label="Précédent">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Précédent</span>
            </a>
            <a rel="nofollow" class="carousel-control-next d-none d-md-flex" href="#news" role="button" data-slide="next" aria-label="Suivant">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Suivant</span>
            </a>
        {% endif %}
    </div>

    {{ block('messages') }}

    {% if hasLiveEvents %}
        <div class="container-fluid my-4">
            <div class="row">
                <div class="col-12 col-lg-10 offset-lg-1">
                    <h2 class="text-balise">Live center</h2>
                    <p class="text-justify lead">Rendez-vous sur le Live Center du Quimper Orientation pour suivre les résultats des compétitions en cours.</p>
                    <a class="d-block d-md-table-cell btn btn-large btn-primary" href="{{ path('app_live_list') }}">
                        <i class="fa fa-broadcast-tower"></i> Suivre les résultats en direct
                    </a>
                </div>
            </div>
        </div>
    {% endif %}

    {% if events|length > 0 %}
        <div class="container-fluid my-4">
            <div class="row">
                <div class="col-12 col-lg-10 offset-lg-1">
                    <a href="{{ path('pi_crud_list', {'type': 'event'}) }}" class="d-none d-md-block text-decoration-none text-secondary border-bottom border-secondary pl-4 float-right">
                        <strong>Tous les événements</strong>
                    </a>
                    <h2 class="text-balise">Les prochains événements</h2>
                </div>
            </div>

            <div class="row">
                <div class="col-12 col-lg-6 offset-lg-1">
                    <div class="row-cols-lg-2 d-flex flex-lg-wrap flex-row overflow-auto text-nowrap infinite-scroll-x my-2" type="event" href="{{ path('app_ajax_entity_load', {'type': 'event'}) }}" start="{{ constant('App\\Controller\\DefaultController::LIMIT_DISPLAYED_EVENTS') }}">
                        {% include 'default/parts/homepage_mobile_entity_list.html.twig' with {'entities': events, 'type': 'event'} only %}
                    </div>
                </div>
                <div class="col-12 d-block d-md-none my-2">
                    <a href="{{ path('pi_crud_list', {'type': 'event'}) }}" class="w-100 btn btn-outline-secondary">
                        <strong>Voir tous les événements</strong>
                    </a>
                </div>
                <div class="col-12 col-lg-4">
                    <div id="calendar"></div>
                </div>
            </div>
        </div>
    {% endif %}

    <div class="bg-secondary text-center p-5 my-4">
        <h2><i class="fa fa-clapperboard"></i> Le club en vidéo</h2>
        <p class="lead">Rentrez en immersion au sein du Quimper Orientation lors du déplacement au Championnat de France des Clubs 2022 avec une vidéo reprenant les moments forts de ce weekend d'orientation en Corrèze.</p>
        <a href="https://drive.google.com/file/d/1NKuiWjaALFeGD7HsrMAa5asIAfkYtwtM/view" class="btn btn-lg btn-outline-light" target="_blank">Découvrir la vidéo</a>
    </div>

    {% if results|length > 0 %}
        <div class="container-fluid my-4">
            <div class="row">
                <div class="col-12 col-lg-10 offset-lg-1">
                    <a href="{{ path('pi_crud_list', {'type': 'result'}) }}" class="d-none d-md-block text-decoration-none text-secondary border-bottom border-secondary pl-4 float-right">
                        <strong>Tous les résultats</strong>
                    </a>
                    <h2 class="text-balise">Les derniers résultats</h2>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-lg-10 offset-lg-1">
                    <div class="row d-block d-md-flex overflow-auto text-nowrap infinite-scroll-x my-2" type="result" href="{{ path('app_ajax_entity_load', {'type': 'result'}) }}" start="{{ constant('App\\Controller\\DefaultController::LIMIT_DISPLAYED_RESULTS') }}">
                        {% include 'default/parts/homepage_mobile_entity_list.html.twig' with {'entities': results, 'type': 'result', 'class': 'col-md-6 col-lg-4 d-inline-block d-md-block text-wrap'} only %}
                    </div>
                </div>
                <div class="col-12 d-block d-md-none my-2">
                    <a href="{{ path('pi_crud_list', {'type': 'result'}) }}" class="w-100 btn btn-outline-secondary">
                        <strong>Voir tous les résultats</strong>
                    </a>
                </div>
            </div>
        </div>
    {% endif %}

    {% include '@PiCRUD/includes/structured_data.html.twig' %}
{% endblock %}
